/**
 * Reception des donnees d'un telemetre a ultrasons simple Interface-Z
 * Receiving data from a Midi ultrasound rangefinder
 */
import promidi.*;
MidiIO midiIO;


void setup()
{
  //get an instance of MidiIO
  midiIO = MidiIO.getInstance(this);
  println("<<<<<<<<< Ports Midi >>>>>>>>>");
  
  //Print a list of all available devices.
  //Imprime une liste de tous les peripheriques Midi disponibles.
  midiIO.printDevices();
  
  /* Default : Open the first midi channel of the first input device.
   * Choose the correct number of your input device.
   * First channel = 0, not 1...
   * midiIO.openInput(device number,channel);
   */
  /* Par defaut : Ouvre le premier canal sur le premier peripherique Midi.
   * Choisir le bon numero de peripherique 
   * parmi les entrees disponibles sur votre ordinateur.
   * Premier canal = 0, pas 1...
   * midiIO.openInput(numero du peripherique,canal);
   */
  midiIO.openInput(0,0);
}

int[] valeur = new int[2]; 
int telemetre;

// Reception des donnees du capteur.
// Receiving sensor data.
void controllerIn(Controller controller, int device, int channel){
  int numero = controller.getNumber();

  if (numero == 2){
    valeur[0] = controller.getValue();
  }    
  if (numero == 3) {
    valeur[1] = controller.getValue();
    telemetre = valeur[1] + (valeur[0] << 7);   
  }
    println(telemetre);
}

void draw()
{

}


